#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stack
version:              2.3.1
visibility:           public
id:                   stack-2.3.1-4ecCLMXQSqE68Fyx2H9Xph
key:                  stack-2.3.1-4ecCLMXQSqE68Fyx2H9Xph
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  b1bd1d038316388c098744928adf639a
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.Lock Stack.Ls Stack.New
    Stack.Nix Stack.Options.BenchParser Stack.Options.BuildMonoidParser
    Stack.Options.BuildParser Stack.Options.CleanParser
    Stack.Options.Completion Stack.Options.ConfigParser
    Stack.Options.DockerParser Stack.Options.DotParser
    Stack.Options.ExecParser Stack.Options.GhcBuildParser
    Stack.Options.GhcVariantParser Stack.Options.GhciParser
    Stack.Options.GlobalParser Stack.Options.HaddockParser
    Stack.Options.HpcReportParser Stack.Options.LogLevelParser
    Stack.Options.NewParser Stack.Options.NixParser
    Stack.Options.PackageParser Stack.Options.ResolverParser
    Stack.Options.SDistParser Stack.Options.ScriptParser
    Stack.Options.TestParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version
    Stack.Types.VersionIntervals Stack.Unpack Stack.Upgrade
    Stack.Upload System.Info.ShortPathName System.Permissions
    System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-8.10.2/site-local/stack-2.3.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/stack-2.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/stack-2.3.1
hs-libraries:         HSstack-2.3.1-4ecCLMXQSqE68Fyx2H9Xph
depends:
    Cabal-3.2.0.0 aeson-1.5.4.1-2YgQvnoUGUbFY9GKPCy4dR
    annotated-wl-pprint-0.7.0-HXu68S9Nys8Hg2W61VXV5e
    ansi-terminal-0.11-IajncQtcdYnBqL6NkSC1RW array-0.5.4.0
    async-2.2.2-29j1GaIc9f6IRp1nTLfEi3
    attoparsec-0.13.2.4-4G9TlDXJU9S6AvRY38etcX base-4.14.1.0
    base64-bytestring-1.2.0.0-3Dz1hYTbtxF8XDshMbTnv9
    bytestring-0.10.10.0 casa-client-0.0.1-IdBHKe6Jey5J1XcSqufsxb
    casa-types-0.0.1-Cw51ONVOgqKitJKSTFwAW
    colour-2.3.5-4ndNl5F1FZuFrbn10D6Ps1
    conduit-1.3.2.1-AxKM91y1hco17XbUchL3jK
    conduit-extra-1.3.5-2bGcgaS0IBCGK5si7N0Vze containers-0.6.2.1
    cryptonite-0.27-GQDFsV0e2GLJaPfeS4zGY1
    cryptonite-conduit-0.2.2-3Fb7ynEtGgO2OuS6kHTLXC deepseq-1.4.4.0
    directory-1.3.6.0 echo-0.1.3-KW81900oHlrJXLF7B1MNlW
    exceptions-0.10.4 extra-1.7.8-9zmH3e67AAR58TGGnjIwqT
    file-embed-0.0.13.0-G4fwjmnadN6Cqq18FbYnBb
    filelock-0.1.1.5-L61DBiq8lVUHe9AbimTFv3 filepath-1.4.2.1
    fsnotify-0.3.0.1-FVvEHzKSHDVC3eObTJZxCC
    generic-deriving-1.13.1-DrUNtcKvlZRCYiAvLWhqfL
    hackage-security-0.6.0.1-4mVHxiC4bqEIs95PtBrbIi
    hashable-1.3.0.0-2rljXTEZeqO3h4WvjXFrn0
    hi-file-parser-0.1.0.0-GxeK9fomCM3H8ImfgKrO47
    hpack-0.34.2-1lUuM4SiQtwKhGyyVcwjLc hpc-0.6.1.0
    http-client-0.7.2.1-KtEbXqZZDYb5F6n2uF9x8X
    http-client-tls-0.3.5.3-7qK3M5nv4bFHlKmrY1UMbp
    http-conduit-2.3.7.3-B5tReiQDMMi5kXCxM3EnAu
    http-download-0.2.0.0-7PU2h9uojJbDBYTP79wzEK
    http-types-0.12.3-2jLGknfRrzMHyPxz5ziN30
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    microlens-0.4.11.2-9caS3Frz8K54yIHXMtlddL
    mintty-0.1.2-IE25eEzw7c5Ei4tUYG4fkN
    mono-traversable-1.0.15.1-3RFjq9y0lmr16BHW6bmZUT mtl-2.2.2
    mustache-2.3.1-Cs4eeweUPkgO9ros6N7Dp
    neat-interpolation-0.5.1.2-BzDTc5WoKr93hNO0AS9jGX
    network-uri-2.6.3.0-AGFstzgcG0nI7I4seWy0cP
    open-browser-0.2.1.0-25bCWGaRAnHJXas2cG87g
    optparse-applicative-0.15.1.0-4yS7Kgv724jHzLSBsRLgk4
    pantry-0.5.1.3-5tUrKRly0oRH2JpB36fK0w
    path-0.8.0-2oJUTAGkYYT79XCdOQckgw
    path-io-1.6.0-KxP7lxtQEI4Fr735Zv7Sv
    persistent-2.10.5.2-GgEsrK1QW2ZLqeKQgGovsf
    persistent-sqlite-2.10.6.2-83BZxKXEqhT7edxCjWGGWG
    persistent-template-2.8.2.3-DzSUIanyd7b4UHmkF8yoHY pretty-1.1.3.6
    primitive-0.7.1.0-vpWoRLNdja4imeRRffxhe process-1.6.9.0
    project-template-0.2.1.0-CqkF9emetFOF41vVD5kcwW
    regex-applicative-text-0.1.0.1-BFlzhVikUAhLvcd5u5Tsos
    retry-0.8.1.2-8hoFQqkBZmsJ1YxF40GEFV
    rio-0.1.19.0-7NZ0xlD04nSJCxC1knn0Qz
    rio-prettyprint-0.1.1.0-BkOKMar74aCSUulaAV2B2
    split-0.2.3.4-CtDb4gjwn2tGt0mGSFzDSP stm-2.5.0.0
    streaming-commons-0.2.2.1-LVljmMJYZVIAaEmdFCqpih
    tar-0.5.1.1-J5vSv2xcjt8FQiWP65ZTVJ template-haskell-2.16.0.0
    temporary-1.3-30fRzuPviKzFa7cff7iLqr text-1.2.3.2
    text-metrics-0.3.0-Bp8CYACujcI2gpQenviLZI
    th-reify-many-0.1.9-Cqi8wPLI2Ct5JnKBZFAGwB time-1.9.3
    tls-1.5.4-JhttAqqv6Eq1ffOk7bcDvH transformers-0.5.6.2
    typed-process-0.2.6.0-24A3IyxJcUPJInPmbHb1tX
    unicode-transforms-0.3.7.1-6uRvUPHDRX6BA80WuyfpsK unix-2.7.2.2
    unix-compat-0.5.2-7IcOHcLTxJI58jp45CNrGP
    unliftio-0.2.13-AQYA122MCzZGMvFlSvfVp2
    unordered-containers-0.2.13.0-1ou2s75HM4jIGJQqER9UBk
    vector-0.12.1.2-93zBJ8pozDnK4B1K8k25VC
    yaml-0.11.5.0-FgjcGKpi1zq2vauCqmnugq
    zip-archive-0.4.1-LhZZEw1HnPt9u9SYJZHU4O
    zlib-0.6.2.2-85jZF5E8OnCKweDgfCRJUx

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

